Get Withdrawal Currency Networks
curl --request GET \
--url https://api.obiex.finance/v1/currencies/{id}/networksimport requests
url = "https://api.obiex.finance/v1/currencies/{id}/networks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.obiex.finance/v1/currencies/{id}/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Ok",
"data": [
{
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": null,
"name": "BSC (BEP20)",
"code": "BSC",
"fee": 0.5,
"feeType": "FLAT",
"minimum": 10,
"contractAddress": "0x2b90e061a517db2bbd7e39ef7f733fd234b494ca",
"explorerLink": "https://bscscan.com/token/0x2b90e061a517db2bbd7e39ef7f733fd234b494ca"
},
{
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": null,
"name": "Ethereum (ERC20)",
"code": "ETH",
"fee": 4,
"feeType": "FLAT",
"minimum": 15,
"contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"explorerLink": "https://etherscan.io/token/0xdac17f958d2ee523a2206206994597c13d831ec7"
},
{
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": null,
"name": "Polygon (MATIC)",
"code": "MATIC",
"fee": 1,
"feeType": "FLAT",
"minimum": 10,
"contractAddress": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
"explorerLink": "https://polygonscan.com/token/0xc2132D05D31c914a87C6611C10748AEb04B58e8F"
},
{
"addressRegex": "^[1-9A-HJ-NP-Za-km-z]{32,44}$",
"memoRegex": null,
"name": "Solana",
"code": "SOL",
"fee": 1,
"feeType": "FLAT",
"minimum": 10,
"contractAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"explorerLink": "https://solscan.io/token/Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"
}
]
}Currencies
Get Withdrawal Currency Networks
GET
/
currencies
/
{id}
/
networks
Get Withdrawal Currency Networks
Path Parameters
Response
200 - application/json
Get Withdrawal Currency Networks
The response is of type object.
Was this page helpful?
⌘I